#ifndef _LCD8_H_
#define _LCD8_H_

#define Disp_LEN 16			// Display-Zeilenlnge 20,40 oder 16 (default)
#define Disp_ZEILEN 4   		// Anzahl Displayzeilen  2 oder 4

#define AdresseZeile1		0x00		// Startadresse fr erste Displayzeile
#define AdresseZeile2		0x40

#if (Disp_LEN == 16)
 #define AdresseZeile3		0x10		// Fr 16 Zeichen LCDs Zeile3 = 0x10
 #define AdresseZeile4		0x50		// "       "       "   Zeile4 = 0x50
#elif (Disp_LEN == 20) 
 #define AdresseZeile3		0x14		// Fr 20 Zeichen LCDs Zeile3 = 0x14
 #define AdresseZeile4		0x54		// "       "       "   Zeile4 = 0x54
#endif

//Deklaration der Funktionsprototypen ...
//... Displaysteuerung
extern void InitDisp(void);			//Display initialisieren
extern void DefineChar(unsigned char *PixelTabelle, unsigned char ZeichenNr);	//Eigene Zeichen definieren
extern void ClearDisp(void);			//Display Lschen
extern void ClearZeile(unsigned char Zeilennummer);

//... Cursorsteuerung
extern void CursorHome(void);
extern void CursorRechts(void);
extern void CursorLinks(void);
extern void SetCursor(unsigned char DDRamAdress);
extern void CursorAnfangZeile(unsigned char Zeilennummer);
extern void CursorEin(void);
extern void CursorAus(void);

//... Zeichenausgabe
extern void OutChar(unsigned char Zeichen);	
extern void OutDisp(unsigned char *pChar);	// Ausgabestring muss /0-terminiert sein
					// Ausgabe ab aktueller Cursorposition
extern void TextZeile(unsigned char *pChar, unsigned char Zeilennummer);
extern void OutHex(unsigned char Dual);		// Gibt Byte als 2stelligen Hexwert aus
extern void OutDez(unsigned char Dual);		// Gibt Byte als 3stelligen Dezimalwert aus

//... Daten zurcklesen
extern void DisplayLesen(unsigned char *buf,unsigned char StartAdresse,unsigned char EndAdresse);
extern unsigned char ReadBackChar(unsigned char DDRAMAdress);
extern unsigned char ReadBackCursor(void);

#endif
